#include<stdio.h>

void
main(int argc, char *argv[])
{
        FILE *in, *out;
        int n, len;
        unsigned char c;

        if(argc < 4) {
                printf("usage: bin2asm <infile> <outfile> <variable name>\n");
                exit(1);
        }

        in = fopen(argv[1], "rb");
        out = fopen(argv[2], "wb");

        fprintf(out, "%s\r\n", argv[3]);
        len = 0;
        while(1) {
                if(len == 0)
                        fprintf(out, "    .db ");
                c = fgetc(in);
                if(feof(in))
                        break;
                if(len != 0) {
                        fprintf(out, ",");
                }
                fprintf(out, "%3d", c);
                if(len == 15) {
                        len = 0;
                        fprintf(out, "\r\n");
                }
                else {
                        ++len;
                }
        }
        fclose(in);
        fclose(out);
}
