#include<stdio.h>

const char ti83_fhdr[11] = { '*','*','T','I','8','3','*','*',0x1A,0x0A,0x00 };
const char ti83_fftr[9] = { 0x3F, 0xD4, 0x3F, '0', '0', '0', '0', 0x3F, 0xD4 };

void
main(int argc, char *argv[])
{
        FILE *in, *out;
        unsigned short b;
        char buffer[32000];
        unsigned char *buf;
        unsigned short i;
        unsigned short cs;
        int c;
        int real_bytes;

        if(argc < 3) {
                printf("Usage: BIN283P <in> <out>\n");
                exit(1);
        }
        in = fopen(argv[1], "rb");
        out = fopen(argv[2], "wb");
        fwrite(ti83_fhdr, 11, 1, out);
        for ( i=0; i<=0x3D; i++ )
                buffer[i] = 0x00;
        fwrite ( buffer, sizeof(char), 0x3D, out);
        
        real_bytes = 0;
        while(!feof(in)) {
                c = fgetc(in);
                if(feof(in))
                        break;
                fputc(c, out);
                ++real_bytes;
        }
        fwrite(ti83_fftr, 9, 1, out);
        
        real_bytes += 11;

        fseek ( out, 0x35, SEEK_SET );
        b = (short) real_bytes + 0x0F;
        fwrite ( &b, sizeof(short), 1, out );
        fputc( 0x0B, out );
        fputc( 0x00, out );
        b = (short) real_bytes;
        fwrite ( &b, sizeof(short), 1, out );
        fseek ( out, 0x3B, SEEK_SET );
        fputc ( 0x06, out );
        fprintf ( out, argv[3] );

        fseek ( out, 0x44, SEEK_SET );
        fwrite ( &b, sizeof(short), 1, out );
        b = (short) real_bytes - 2;
        fwrite ( &b, sizeof(short), 1, out );
        
        fclose(in);
        fclose(out);

        out=fopen( argv[2], "rb" );
        fseek( out, 0x35, SEEK_SET );
        fread( &b, sizeof(short), 1, out );
        fread( buffer, sizeof(char), b, out );
        fclose ( out );

        cs = 0x0000;
        buf = (unsigned char *) buffer;
        for ( i=0; i<b; i++ )
                cs += buf[i];

        out=fopen( argv[2], "ab" );
        fwrite( &cs, sizeof(short), 1, out);

        fclose ( out );
}
